%global         pypi_name pip-shims
%global         _description %{expand:This is library used by pipenv.
Author recommends that nothing else than pipenv should depend on this.}

Name:           python-%{pypi_name}
Version:        0.3.2
Release:        1%{?dist}
License:        ISC
URL:            https://github.com/sarugaku/pip-shims
Source0:        https://github.com/sarugaku/pip-shims/archive/%{version}/pip-shims-%{version}.tar.gz
BuildArch:      noarch
Summary:        Pip-shims is a set of compatibility access shims to the pip internal API

%description
%{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pip
#Requires:       python3-pip
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# skipping tests which needs the internet
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest -k 'not test_resolution and not test_wheelbuilder'

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pip_shims-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/pip_shims/

%changelog
* Tue Aug 13 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.3.2
- initial package
